%global momorel 10
%global qtver 3.3.5
%global kdever 3.5.1
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary:fish applet for KDE
Name: kfish
Version: 2.01
Release: %{momorel}m
License: GPL
URL: http://sourceforge.net/projects/scofmb/
Group: User Interface/Desktops
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/kfish/%{name}-%{version}.tar.bz2 64e9ddec74faeae8721bc7f097012bc5
Patch0: kfish-2.01-lib64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: qt-devel => %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}

%description
KFish is an amusing panel applet animated with a fish, bubbles and extras.

%prep
%setup -q

%if %{_lib} == "lib64"
%patch0 -p1 -b .lib64~
%endif

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-xinerama \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--enable-final \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_datadir}/apps/kfish/pics/*.png
%{_datadir}/apps/kfish/pics/fishslist
%{_libdir}/kde3/kfish_panelapplet.la
%{_libdir}/kde3/kfish_panelapplet.so
%{_libdir}/kde3/kfish_panelapplet.so.1
%{_libdir}/kde3/kfish_panelapplet.so.1.0.0
%{_datadir}/apps/kicker/applets/kfish.desktop

%changelog
* Sun Feb 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.01-10m)
- add enable_gcc_check_and_hidden_visibility switch

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.01-9m)
- rebuild against KDE 3.5 RC1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.01-8m)
- add --disable-rpath to configure

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.01-7m)
- add --with-qt-libraries=%%{qtdir}/lib to configure
- modify spec file

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.01-6m)
- enable x86_64.

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.01-5m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.01-4m)
- s/Copyright:/License:/

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.01-3m)
- rebuild against for XFree86-4.3.0

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (2.0.1-2m)
- rebuild against kde-3.0.5a.

* Wed Oct 30 2002 Shinji Takei <stakei@nga.jp>
- (2.01-1m)
- version up

* Sat Oct 12 2002 Shinji Takei <stakei@nga.jp>
- (1.0-2m)
- kdever to 3.0.4
- add BuildPreReq: qt-devel = %{qtver}
- add BuildPreReq: kdelibs-devel = %{kdever}

* Thu Aug 15 2002 Shinji Takei <stakei@nga.jp>
- (1.0-1m)
- first release.
